/*--------------- Menu ----------------*/
.menuPrincipal .d-flex {
  align-items: center; /* Alinha os itens no centro verticalmente */
}

.menuPrincipal img {
  margin-bottom: 0; /* Remove qualquer margem inferior */
}

.card {
    background-color: rebeccapurple;
    border-radius: 10px;
    width: 100%;
    transition: transform 0.2s; /* Adiciona uma transição suave */
}

.card:hover {
    transform: translateY(-15px); /* Move para cima 5 pixels no hover */
}

.card2 {
    
    border-radius: 10px;
    width: 100%;
    margin-top: 20px; /* Adicionei um espaço entre os dois cartões para melhor visualização */
    transition: transform 0.3s, border 0.3s; /* Adiciona transições suaves para transform e borda */
}

.card:hover {
    transform: translateY(-5px);
}

.card2:hover {
    padding: 2%;
    border: 4px solid rgb(138, 138, 160); /* Adiciona uma borda azul no hover */
}

@keyframes rotate {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}

body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

.cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #f1f1f1;
    padding: 15px;
    text-align: center;
    box-shadow: 0px -2px 10px rgba(0, 0, 0, 0.1);
    z-index: 999;
}

.cookie-banner p {
    margin: 0;
}

.cookie-buttons {
    margin-top: 10px;
}

.cookie-btn {
    padding: 10px 20px;
    margin: 0 10px;
    cursor: pointer;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 5px;
}

.cookie-btn:hover {
    background-color: #45a049;
}

/* Estilo para o contêiner do formulário */
.form {
    min-height: 100vh;
    display: grid;
    place-items: center;
    padding: 1rem;
    background: #424bcc;
    border-radius: 1.2rem;
}

/* Estilo para o formulário em si */
form {
    width: 100%;
    max-width: 30rem;
}

/* Estilos para elementos de formulário comuns */
label,
input,
textarea,
select,
button {
    display: block;
}

/* Estilos básicos para inputs, textarea, select e botão */
input,
textarea,
select,
button {
    width: 100%;
    font: inherit;
    padding: 1rem;
    font-weight: 700;
}

/* Estilos específicos para inputs, textarea e select */
input,
textarea,
select {
    margin-bottom: 1rem;
    color: white;
    background: #559bb1;
    border: 0.125rem solid transparent;
    border-radius: 1.125rem;
    transition: border-color 0.3s, box-shadow 0.3s;
}

/* Efeitos de hover e focus para inputs, textarea e select */
input:hover,
input:focus,
textarea:hover,
textarea:focus,
select:hover,
select:focus {
    outline: none;
    border-color: rgb(98, 233, 233);
    box-shadow: 0 0 0 0.3125rem rgb(37, 102, 102);
}

/* Estilos para rótulos de formulário */
label {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    color: aliceblue;
}

/* Estilos específicos para textarea */
textarea {
    min-height: 12.5rem;
    resize: vertical;
}

#endereco {
    min-height: 0.5rem;
    resize: vertical;
}

/* Estilos para o botão de envio do formulário */
button {
    color: rgb(30, 21, 168);
    background: #9ad19e;
    border: 0.125rem solid transparent;
    border-radius: 1.5rem;
    transition: border-color 0.3s, box-shadow 0.3s;
    
}

/* Estilos para a mensagem de sucesso */
.success-message {
    background-color: #4CAF50;
    color: white;
    padding: 20px;
    border-radius: 5px;
    text-align: center;
}

/* Estilos para o texto de sucesso */
.success-text {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
}

/* Estilos para o texto de redirecionamento */
.redirect-text {
    font-size: 14px;
}

.text-shadow {
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

